Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum QLocale.NumberOption

    java.lang.Object
      java.lang.Enum<QLocale.NumberOption>
          com.trolltech.qt.core.QLocale.NumberOption

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QLocale.NumberOption>

Enclosing class:
  QLocale

    public static enum QLocale.NumberOption

extends java.lang.Enum<QLocale.NumberOption>
implements QtEnumerator

This enum defines a set of options for number-to-string and string-to-number conversions. They can be retrieved with `numberOptions` and set with `setNumberOptions`.

See Also:
  `setNumberOptions`, `numberOptions`

Enum Constant Summary
`OmitGroupSeparator` If this option is set, the number-to-string functions will not insert group separators in their return values.
`RejectGroupSeparator` If this option is set, the string-to-number functions will fail if they encounter group separators in their input.

Method Summary
`static QLocale.NumberOptions` | `createQFlags(QLocale.NumberOption... values)`
`static QLocale.NumberOption` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QLocale.NumberOption` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QLocale.NumberOption[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OmitGroupSeparator

    public static final QLocale.NumberOption OmitGroupSeparator

  If this option is set, the number-to-string functions will not insert group separators in their return values. The default is to insert group seperators.

### RejectGroupSeparator

    public static final QLocale.NumberOption RejectGroupSeparator

  If this option is set, the string-to-number functions will fail if they encounter group separators in their input. The default is to accept numbers containing correctly placed group separators.

Method Detail

### values

    public static final QLocale.NumberOption[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QLocale.NumberOption c : QLocale.NumberOption.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QLocale.NumberOption valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QLocale.NumberOptions createQFlags(QLocale.NumberOption... values)

### resolve

    public static QLocale.NumberOption resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD